orionhealth orionhealth

ytemplater

5 16 0

Node.js utility for precompiling templates for use with YUI's Y.Template.

Dependencies

Package Locked Requirement Latest Status Changelog
Npms concat-stream ~1.4.1 1.5.0

concat-stream

writable stream that concatenates strings or binary data and calls a callback with the result

This dependency is not matching latest version. Please consider upgrading.

Npms lodash ^2.4.1 3.10.1

lodash

The modern build of lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms map-stream ~0.1.0 0.0.6

map-stream

construct pipes of streams of events

This dependency is up-to-date. Congrats and keep going!

Npms mkdirp ~0.3.5 0.5.1

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is not matching latest version. Please consider upgrading.

Npms q ~1.0.0 1.4.1

q

A library for promises (CommonJS/Promises/A,B,D)

This dependency is not matching latest version. Please consider upgrading.

Npms stream-combiner 0.0.4 0.2.2

stream-combiner

[![npm version](https://img.shields.io/npm/v/stream-combiner.svg)](https://npmjs.org/package/stream-combiner) [![Travis CI](https://travis-ci.org/dominictarr/stream-combiner.svg)](https://travis-ci.org/dominictarr/stream-combiner)

This dependency is not matching latest version. Please consider upgrading.

Npms through ~2.3.4 2.3.8

through

simplified stream construction

This dependency is up-to-date. Congrats and keep going!

Npms yargs ^1.2.1 3.22.2

yargs

Light-weight option parsing with an argv hash. No optstrings attached.

This dependency is not matching latest version. Please consider upgrading.

Npms yui ^3.15.0 3.18.1

yui

YUI 3 Source

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms chai ~1.9.0 3.2.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms chai-as-promised ^4.1.1 5.1.0

chai-as-promised

Extends Chai with assertions about promises.

This dependency is not matching latest version. Please consider upgrading.

Npms chai-fs 0.0.3 0.1.0

chai-fs

Chai assertions for Node.js filesystem

This dependency is not matching latest version. Please consider upgrading.

Npms cli-spy ^0.2.1 0.2.2

cli-spy

Helper utility for testing isolated cli modules.

This dependency is up-to-date. Congrats and keep going!

Npms growl ~1.7.0 1.8.1

growl

Growl unobtrusive notifications

This dependency is not matching latest version. Please consider upgrading.

Npms gulp ~3.5.2 3.9.0

gulp

The streaming build system

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-jshint-cached ~1.4.2 1.4.2

gulp-jshint-cached

A cached version of the gulp-jshint task

This dependency is up-to-date. Congrats and keep going!

Npms gulp-mocha ~0.4.1 2.1.3

gulp-mocha

Run Mocha tests

This dependency is not matching latest version. Please consider upgrading.

Npms istanbul ~0.2.4 0.3.19

istanbul

Yet another JS code coverage tool that computes statement, line, function and branch coverage with module loader hooks to transparently add coverage when running tests. Supports all JS coverage use cases including unit tests, server side functional tests

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ^1.18.0 2.2.5

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms mock-fs ^2.2.0 3.1.0

mock-fs

A configurable mock file system. You know, for testing.

This dependency is not matching latest version. Please consider upgrading.

Npms rimraf ~2.2.6 2.4.3

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is not matching latest version. Please consider upgrading.